Bug 464790

Summary: qemu bios images source code not packaged
Product: [Fedora] Fedora Reporter: Eduardo Habkost <ehabkost>
Component: qemuAssignee: Glauber Costa <gcosta>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: high    
Version: rawhideCC: dwmw2, gcosta, markmc, mkanat, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-25 10:44:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 464621    
Bug Blocks: 480594    

Description Eduardo Habkost 2008-09-30 10:49:58 EDT
The qemu and kvm packages contain some binaries that are bundled on the kvm and qemu source tarballs, but we don't package or distributed the source code for those binaries.

The binaries currently on the qemu and kvm source tress are on the qemu/pc-bios directory. They are:

- bios.bin
  - on qemu: Bochs 2.3.7 bios + bios.diff
  - kvm has a 'bios' directory, so we distribute the source on the kvm case
- openbios-sparc*
- ppc_rom.bin
- pxe-*.bin (Etherboot roms)
- vgabios*.bin
  - On qemu: vgabios from CVS (-D 2006-03-26, it seems) + vgabios.diff
  - kvm has a 'vgabios' directory, so we distribute the source on the kvm case
- video.x
Comment 1 Eduardo Habkost 2008-09-30 10:56:24 EDT
Current status:

Being looked at:

- bios.bin
  - kvm: 'make bios'
  - qemu: bios.diff applies cleanly on bochs 2.3.7 bios.
    - maybe make a -bios subpackage of bochs?
      - need to check if bios.diff breaks bochs usage or just adds functionality
- pxe-*.bin: bug #464621 
- vgabios.bin:
  - kvm: 'make vgabios'
  - qemu: patch applies cleanly on a 'cvs update -D 2008-03-26' tree
    - make a vgabios package?

To be investigated:
- openbios-sparc*
- ppc_rom.bin
- video.x
Comment 2 Bug Zapper 2008-11-25 22:17:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Max Kanat-Alexander 2009-02-02 10:07:26 EST
I suspect that this is why KVM doesn't support widescreen resolutions, as it would seem that a vgabios with widescreen support was actually checked-in to KVM last year:

  http://www.mail-archive.com/kvm-commits@lists.sourceforge.net/msg01272.html

Ubuntu appears to have already fixed this:

  https://bugs.launchpad.net/ubuntu/+source/kvm/+bug/180756
Comment 4 Mark McLoughlin 2009-02-02 10:39:33 EST
Eduardo: these images are built from source in rawhide, right?
Comment 5 Eduardo Habkost 2009-02-02 12:40:22 EST
(In reply to comment #4)
> Eduardo: these images are built from source in rawhide, right?

Yes. All images on the KVM package should be built from source, now, but this still needs to be solved for the qemu package. Probably we will be able to do more easily with the KVM and QEMU merge[1].

[1] http://fedoraproject.org/wiki/Features/KVM_and_QEMU_merge
Comment 6 Mark McLoughlin 2009-02-02 12:55:36 EST
Ah, yes - I understand now.

Yeah, best to leave the bug open ... but it will probably only be fixed when we merge the packages.
Comment 7 Mark McLoughlin 2009-03-25 04:55:09 EDT
Glauber: are we done with this, then?
Comment 8 Glauber Costa 2009-03-25 09:36:29 EDT
Yeah.
Comment 9 Mark McLoughlin 2009-03-25 10:44:48 EDT
Excellent stuff